Bug 218870 - CVE-2006-6101 Multiple XFree86 integer overflows (CVE-2006-6102, CVE-2006-6103)
Summary: CVE-2006-6101 Multiple XFree86 integer overflows (CVE-2006-6102, CVE-2006-6103)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,reported=20061207,so...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-07 21:59 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0002
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-10 14:10:22 UTC


Attachments (Terms of Use)
Upstream patch (1.57 KB, patch)
2006-12-07 22:06 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0002 normal SHIPPED_LIVE Important: XFree86 security update 2007-01-10 14:10:14 UTC

Description Josh Bressers 2006-12-07 21:59:34 UTC
iDefense reported several integer overflow flaws in the XFree86 server source.
These flaws may allow a local user to leverage these flaws to become root.

Comment 1 Josh Bressers 2006-12-07 22:02:13 UTC
These flaws also affect RHEL2.1

Comment 3 Josh Bressers 2006-12-07 22:06:13 UTC
Created attachment 143094 [details]
Upstream patch

Comment 5 Adam Jackson 2007-01-03 12:32:01 UTC
Built as XFree86-4.3.0-114.EL for RHEL3.

RHEL 2.1 is waiting for beehive to wake up.

Comment 6 Adam Jackson 2007-01-03 15:21:49 UTC
XFree86-4.1.0-78.EL for RHEL 2.1

Comment 7 Adam Jackson 2007-01-03 19:27:19 UTC
correction, -115 for RHEL3.

Comment 8 Josh Bressers 2007-01-09 15:43:53 UTC
These issues are public:
http://lists.freedesktop.org/archives/xorg-announce/2007-January/000235.html

Comment 11 Red Hat Bugzilla 2007-01-10 14:10:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0002.html



Note You need to log in before you can comment on or make changes to this bug.